Details

    • Type: Sub-task
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 2.4.1
    • Fix Version/s: DEV backlog
    • Component/s: Administration
    • Labels:
    • Affected Branches:
      MOODLE_24_STABLE

      Description

      The maturity setting for plugins is a great feature, but it only appears to work for automatic updates. It would be extremely useful if it could be used to check the integrity of any Moodle installation.

      There are a number of ways this could be done, but the simplest would be to display on the notifications page something like "Your server is running the following plugins which do not meet your minimum code maturity setting" with a list of plugins (similar to the notice shown if running an alpha version of core).

        Attachments

          Activity

            People

            Assignee:
            moodle.com moodle.com
            Reporter:
            maherne Michael Aherne
            Participants:
            Component watchers:
            Andrew Lyons, Dongsheng Cai, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Dates

              Created:
              Updated: